package _VisualDVM.GlobalData.DVMParameter;
import Common.Database.Tables.iDBTable;
import Common.Visual.DataSetControlForm;
import _VisualDVM.GlobalData.DVMParameter.UI.DVMParametersForm;

import javax.swing.*;
public class DVMParameterDBTable extends iDBTable<DVMParameter> {
    public DVMParameterDBTable() {
        super(DVMParameter.class);
    }
    @Override
    public String getSingleDescription() {
        return "параметр DVM системы";
    }
    @Override
    public String getPluralDescription() {
        return "параметры DVM";
    }
    @Override
    protected DataSetControlForm createUI(JPanel mountPanel) {
        return new DVMParametersForm(this, mountPanel);
    }
}
